org.yaml.snakeyaml.events

## Class AliasEvent

- java.lang.Object
- - org.yaml.snakeyaml.events.Event
  - - org.yaml.snakeyaml.events.NodeEvent
    - - org.yaml.snakeyaml.events.AliasEvent

    public final class AliasEvent
    extends NodeEvent

Marks the inclusion of a previously anchored node.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.events.Event

`Event.ID`

### Constructor Summary

Constructors
Constructor and Description
`AliasEvent(String anchor, Mark startMark, Mark endMark)`

### Method Summary

Methods
`Event.ID` `getEventId()` Get the type (kind) if this Event

### Methods inherited from class org.yaml.snakeyaml.events.NodeEvent

`getAnchor, getArguments`

### Methods inherited from class org.yaml.snakeyaml.events.Event

`equals, getEndMark, getStartMark, hashCode, is, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AliasEvent

    public AliasEvent(String anchor,
              Mark startMark,
              Mark endMark)

### Method Detail

#### getEventId

    public Event.ID getEventId()

Description copied from class: `Event`
Get the type (kind) if this Event

Specified by:
  `getEventId` in class `Event`
Returns:
  the ID of this Event